<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */
 
if(defined('LEPTON_URL')) {
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bookmarks_links`");
	$mod_bookmarks = 'CREATE TABLE `'.TABLE_PREFIX.'mod_bookmarks_links` ( '
					 . '`link_id` INT NOT NULL AUTO_INCREMENT,'
					 . '`section_id` INT NOT NULL DEFAULT \'0\','
					 . '`page_id` INT NOT NULL DEFAULT \'0\','
					 . '`group_id` INT NOT NULL DEFAULT \'0\','
					 . '`position` INT NOT NULL DEFAULT \'0\','
					 . '`active` INT NOT NULL DEFAULT \'0\','
					 . '`title` VARCHAR(255) NOT NULL DEFAULT \'\','
					 . '`description` VARCHAR(255) NOT NULL DEFAULT \'\','
					 . '`aboutbm` TEXT NOT NULL,'
					 . '`type_link` INT(11) NOT NULL DEFAULT \'0\','
					 . '`target` VARCHAR(6) NOT NULL DEFAULT \'\','
					 . '`url` TEXT NOT NULL,'
					 . '`picture` VARCHAR(255) NOT NULL DEFAULT \'\','
					 . 'PRIMARY KEY (link_id)'
                . ' )';
	$database->query($mod_bookmarks);

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bookmarks_groups`");
	$mod_bookmarks = 'CREATE TABLE `'.TABLE_PREFIX.'mod_bookmarks_groups` ( '
					 . '`group_id` INT NOT NULL AUTO_INCREMENT,'
					 . '`section_id` INT NOT NULL DEFAULT \'0\','
					 . '`page_id` INT NOT NULL DEFAULT \'0\','
					 . '`position` INT NOT NULL DEFAULT \'0\','
					 . '`active` INT NOT NULL DEFAULT \'0\','
					 . '`title` VARCHAR(255) NOT NULL DEFAULT \'\','
					 . '`sort_links_name` TINYINT(1) NOT NULL DEFAULT \'0\','
					 . 'PRIMARY KEY (group_id)'
                . ' )';
	$database->query($mod_bookmarks);
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bookmarks_settings`");
	$mod_bookmarks = 'CREATE TABLE `'.TABLE_PREFIX.'mod_bookmarks_settings` ( '
					 . '`section_id` INT NOT NULL DEFAULT \'0\','
					 . '`page_id` INT NOT NULL DEFAULT \'0\','
					 . '`pic_loc` VARCHAR(255) NOT NULL DEFAULT \'\','
					 . '`sort_grp_name` TINYINT(1) NOT NULL DEFAULT \'0\','
					 . '`sort_nogrp_links` TINYINT(1) NOT NULL DEFAULT \'0\','
					 . 'PRIMARY KEY (section_id)'
                . ' )';
	$database->query($mod_bookmarks);
	
	// Insert info into the search table
	// Module query info
	$field_info = array();
	$field_info['page_id'] = 'page_id';
	$field_info['title'] = 'page_title';
	$field_info['link'] = 'link';
	$field_info = serialize($field_info);
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('module', 'bookmarks', '$field_info')");
	// Query start
	$query_start_code = "SELECT [TP]pages.page_id, [TP]pages.page_title, [TP]pages.link FROM [TP]mod_bookmarks_links, [TP]mod_bookmarks_groups, [TP]mod_bookmarks_settings, [TP]pages WHERE ";
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_start', '$query_start_code', 'bookmarks')");

	// Query body
	$query_body_code = "
	[TP]pages.page_id = [TP]mod_bookmarks_links.page_id AND [TP]mod_bookmarks_links.title [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\' OR
	[TP]pages.page_id = [TP]mod_bookmarks_links.page_id AND [TP]mod_bookmarks_links.description [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\' OR
	[TP]pages.page_id = [TP]mod_bookmarks_links.page_id AND [TP]mod_bookmarks_links.url [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\' OR
	[TP]pages.page_id = [TP]mod_bookmarks_groups.page_id AND [TP]mod_bookmarks_groups.title [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\' OR
	[TP]pages.page_id = [TP]mod_bookmarks_settings.page_id AND [TP]mod_bookmarks_settings.header [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\' OR
	[TP]pages.page_id = [TP]mod_bookmarks_settings.page_id AND [TP]mod_bookmarks_settings.footer [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\'
	";	
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_body', '$query_body_code', 'bookmarks')");

	// Query end
	$query_end_code = "";	

	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_end', '$query_end_code', 'bookmarks')");
	
	require_once(WB_PATH.'/framework/functions/function.make_dir.php');
	make_dir(WB_PATH.MEDIA_DIRECTORY.'/bookmarks');
	
}

?>