<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

/**
 *	Load Language file
 */
$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once ( !file_exists($lang) ? (dirname(__FILE__))."/languages/EN.php" : $lang );

//	Delete all links and groups with no title
$database->query("DELETE FROM ".TABLE_PREFIX."mod_bookmarks_links  WHERE page_id = '$page_id' and section_id = '$section_id' and title=''");
$database->query("DELETE FROM ".TABLE_PREFIX."mod_bookmarks_groups  WHERE page_id = '$page_id' and section_id = '$section_id' and title=''");

/**
 *	Get existing links
 *
 */
$all_links = array();
$database->execute_query(
	"SELECT * FROM `".TABLE_PREFIX."mod_bookmarks_links` WHERE section_id = '$section_id' ORDER BY position ASC",
	true,
	$all_links
);

// Loop through existing groups
$all_groups = array();

$database->execute_query(
	"SELECT * FROM `".TABLE_PREFIX."mod_bookmarks_groups` WHERE section_id = '$section_id' ORDER BY position ASC",
	true,
	$all_groups
);

foreach($all_links as &$link) {
	$link['group_title'] = '-';
	foreach($all_groups as &$g) {
		if ($g['group_id'] == $link['group_id']) {
			$link['group_title'] = $g['title'];
			break;
		}
	}
	$link['Are_you_sure'] = str_replace("{title}", $link['title'], $BMTEXT['Are_you_sure']);
	$link['active'] = $link['active'] == 1 ? $TEXT['YES'] : $TEXT['NO'];
}

foreach($all_groups as &$group) {
	$group['Are_you_sure_group'] = str_replace("{title}", $group['title'], $BMTEXT['Are_you_sure_group']);
	$group['sort_by'] = ($group['sort_links_name'] == 0) ? $BMTEXT['SORT_BY_ORDER'] : $BMTEXT['SORT_BY_NAME'];
	$group['active'] = $group['active'] == 1 ? $TEXT['YES'] : $TEXT['NO'];
}

$form_values = array(
	'WB_URL'	=> LEPTON_URL,
	'WB_PATH'	=> LEPTON_PATH,
	'section_id'	=> $section_id,
	'page_id'	=> $page_id,
	'THEME_URL'	=> THEME_URL,
	'TEXT'		=> $TEXT,
	'BMTEXT'	=> $BMTEXT,
	'all_links' => $all_links,
	'all_groups'	=> $all_groups
);

/**	*******************************
 *	Try to get the template-engine.
 */
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

$loader->prependPath( dirname(__FILE__)."/templates/backend", "bookmarks" );

echo $parser->render(
	"@bookmarks/modify.lte",
	$form_values
);	
?>