<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

/**
 *	Load Language file
 */
$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once ( !file_exists($lang) ? (dirname(__FILE__))."/languages/EN.php" : $lang );


// Get id
if(!isset($_GET['group_id']) OR !is_numeric($_GET['group_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$group_id = $_GET['group_id'];
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

$fetch_content = array();
$database->execute_query(
	"SELECT * FROM ".TABLE_PREFIX."mod_bookmarks_groups WHERE group_id = '$group_id'",
	true,
	$fetch_content,
	false
);

$form_values = array(
	'ADMIN_URL' => ADMIN_URL,
	'LEPTON_URL'	=> LEPTON_URL,
	'page_id'	=> $page_id,
	'section_id' => $section_id,
	'group_id'	=> $group_id,
	'TEXT'	=> $TEXT,
	'BMTEXT'	=> $BMTEXT,
	'fetch_content' => $fetch_content
);

/**	*******************************
 *	Try to get the template-engine.
 */
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

$loader->prependPath( dirname(__FILE__)."/templates/backend", "bookmarks" );

echo $parser->render(
	"@bookmarks/modify_group.lte",
	$form_values
);

// Print admin footer
$admin->print_footer();

?>