<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

// Get id
if(!isset($_GET['link_id']) OR !is_numeric($_GET['link_id'])) {
  header("Location: ".ADMIN_URL."/pages/index.php");
} else {
  $link_id = $_GET['link_id'];
}

// Include WB admin wrapper script
$admin_header = false; // suppress to print the header, so no new FTAN will be set
require(WB_PATH.'/modules/admin.php');

/**
 *	Load Language file
 */
$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once ( !file_exists($lang) ? (dirname(__FILE__))."/languages/EN.php" : $lang );

$fetch_content = array();
$database->execute_query(
	"SELECT * FROM ".TABLE_PREFIX."mod_bookmarks_links WHERE link_id = '$link_id'",
	true,
	$fetch_content,
	false
);

// Load CKEditor
if(!isset($wysiwyg_editor_loaded)) {
	$wysiwyg_editor_loaded=true;

	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {

		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
  			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		$id_list=array( 'content'.$section_id );
		require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
	}
}

ob_start();
show_wysiwyg_editor('content'.$section_id,'content'.$section_id,stripslashes(htmlspecialchars($fetch_content['aboutbm'])),'98%','350px');
$show_wysiwyg_editor = ob_get_clean();

// End load CKEditor

$pic_loc = $database->get_one("SELECT `pic_loc` FROM `".TABLE_PREFIX."mod_bookmarks_settings` WHERE `section_id` = '".$section_id."'");

$file_dir = ($pic_loc == "") 
	? ""
	: WB_PATH . $pic_loc
	;

require_once( LEPTON_PATH."/framework/functions/function.file_list.php");
$all_images = file_list( $file_dir, array(), false, "(jpg|jpeg|gif|png)", $file_dir."/");

$all_groups = array();
$database->execute_query(
	"SELECT * FROM `".TABLE_PREFIX."mod_bookmarks_groups` WHERE `section_id` = '".$section_id."' ORDER BY `position` ASC",
	true,
	$all_groups
);


$form_values = array(
	'WB_URL'	=> LEPTON_URL,
	'WB_PATH'	=> LEPTON_PATH,
	'ADMIN_URL'	=> ADMIN_URL,
	'TEXT'		=> $TEXT,
	'BMTEXT'	=> $BMTEXT,
	'section_id'	=> $section_id,
	'page_id'	=> $page_id,
	'link_id'	=> $link_id,
	'fetch_content'	=> $fetch_content,
	'file_dir'		=> $file_dir,
	'file_dir_exsits'	=> is_dir($file_dir) ? 1 : 0,
	'all_images'	=> $all_images,
	'all_groups'	=> $all_groups,
	'show_wysiwyg_editor'	=> $show_wysiwyg_editor
);

/**	*******************************
 *	Try to get the template-engine.
 */
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

$loader->prependPath( dirname(__FILE__)."/templates/backend", "bookmarks" );

echo $parser->render(
	"@bookmarks/modify_link.lte",
	$form_values
);

// Print admin footer
$admin->print_footer();

?>