<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

// Get id
if(!isset($_POST['link_id']) OR !is_numeric($_POST['link_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$link_id = $_POST['link_id'];
}

// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');

// Valink_idate all fields
if($admin->get_post('title') == '' AND $admin->get_post('url') == '') {
	$admin->print_error($MESSAGE['GENERIC']['FILL_IN_ALL'], WB_URL.'/modules/modify_link.php?page_id='.$page_id.'&section_id='.$section_id.'&link_id='.$link_id);
} else {
	$title = addslashes($admin->get_post('title'));
	$url = addslashes($admin->get_post('url'));
	$description = addslashes($admin->get_post('description'));
	$aboutbm = addslashes($admin->get_post('content'.$_POST['section_id']));
	$type_link = $admin->get_post('type_link');
	$target = $admin->get_post('target');
	$picture = $admin->get_post('picture');
	$group = $admin->get_post('group');
	$active = $admin->get_post('active');
}

// http:// check if it's there
if (false === strpos($url, '://')) {
    $url = 'http://' . $url;
}

// Update row
$database->query("UPDATE ".TABLE_PREFIX."mod_bookmarks_links SET "
					. " group_id = '$group', "
					. " title = '$title', "
					. " description = '$description', "
					. " aboutbm = '$aboutbm', "
					. " type_link = '$type_link', "
					. " url = '$url', "
					. " target = '$target', "
					. " active = '$active', "
					. " picture = '$picture' "
					. " WHERE link_id = '$link_id'");

// Check if there is a db error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), WB_URL.'/modules/modify_link.php?page_id='.$page_id.'&section_id='.$section_id.'&link_id='.$link_id);
} else {
	$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

?>